From 3a7aac0058e7b643f91315c85863b4310c8828e2 Mon Sep 17 00:00:00 2001
From: Jonas Smedegaard <dr@jones.dk>
Date: Sun, 23 Nov 2014 13:19:08 +0100
Subject: [PATCH 2/5] Handle pxelinux binary located below /usr/lib/PXELINUX in
 recent Debian releases of SYSLINUX.

---
 di-netboot-assistant | 13 +++++++++++--
 1 file changed, 11 insertions(+), 2 deletions(-)

diff --git a/di-netboot-assistant b/di-netboot-assistant
index f85e381..dea44cf 100755
--- a/di-netboot-assistant
+++ b/di-netboot-assistant
@@ -242,7 +242,12 @@ copy_syslinux_bin() {
 
 	[ ! "$src" -o ! "$dst" ] && return 1
 
-	newbin=$(find_file pxelinux.0 "$src" 2>/dev/null)
+	if [ "$SYSLINUX" = "$src" ]; then
+		# recent SYSLINUX ships PXELINUX at separate location
+		newbin=$(find_file pxelinux.0 /usr/lib/PXELINUX "$SYSLINUX" 2>/dev/null)
+	else
+		newbin=$(find_file pxelinux.0 "$src" 2>/dev/null)
+	fi
 	[ ! -f "$dst/pxelinux.0" -a ! -f "$newbin" ] && return 1
 
 	pxe_new_ver="$(pxelinux_version "$newbin")"
@@ -254,7 +259,11 @@ copy_syslinux_bin() {
 	echo "I: Upgrading PXELinux ($pxe_cur_ver to $pxe_new_ver)"
 
 	for f in pxelinux.0 menu.c32 vesamenu.c32; do
-		srcf="$(find_file $f "$src")"
+		if [ pxelinux.0 = "$f" ]; then
+			srcf="$newbin"
+		else
+			srcf="$(find_file $f "$src")"
+		fi
 		[ "${f#*c32}" ] || f="pxelinux.cfg/$f"
 		[ -L "$dst/$f" ] && rm "$dst/$f"
 		if [ -f "$srcf" ]; then
-- 
2.1.3

